<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include("importdocs_config.php");
include("docs_functions.php");

$modir=__DIR__;

include(getSnippetFile("code-header.php"));
?>
<header id="main-header" class="p-3">
    <?php
    include(getSnippetFile("page-top-header.php"));
    ?>
</header>
<section id="main-container" class="px-3 pb-4">
    <h2 class="pb-3">Importation de documents</h2>
    <div class="pb-3">
        Ce module permet d'importer des documents (pdf, mp4, etc.). Pour ce faire:<br>
        1) placez les documents dans le dossier "uploads"<br>
        2) vérifiez la liste des imports en rechargeant cette page.<br>
        Ensuite cliquer sur "Lancer l'importation" si le bouton apparait en bas de cette page.

    </div>
    <div class="d-none">
        <div class="pr-2">Rechercher&nbsp;: </div>
        <input id="live-search" type="text" class="" placeholder="Tapez quelque chose">
    </div>
    <div id="main-grid" class="d-none"></div>

    <div class="">
        <h2 class="mb-3">Check des données</h2>
        <div class='border-2 border-rounded p-3'>
            <h3 class="fs-medium mb-1">Fichier disponibles</h3>
            <?php
            $ok=true;

            $docs=glob();//$modir."/data/csv-complet.csv";

            if($arrays){
                echo "Fichier CSV présent";   
            } else {
                echo "Fichier CSV absent"; 
                $ok=false;
            }
            echo "<hr class='my-3'>";
            echo "<h3 class=\"fs-medium mb-1\">Table de conversion</h3>";
            echo "<div class='mb-3'>Modifiez la variable csv_champs le fichier cvs_import_config.php au besoin.</div>";

            $keys_corr=array_flip($csv_champs);
            $keys_csv=array_flip($arrays[1]);
            foreach($keys_corr as $cle => $corr){
                echo "<div>";
                echo "<b>".$cle."</b>";
                if(isset($keys_csv[$cle])){
                    echo " sera encodé dans ".$corr;
                } else {
                    echo " n'a pas de correspondance";
                }
                echo "</div>";
            }
            echo "<hr class='my-3'>";
            echo "<h3 class=\"fs-medium mb-1\">Dossier documents</h3>";
            $fi = new FilesystemIterator($modir."/data/documents", FilesystemIterator::SKIP_DOTS);
            if(iterator_count($fi) > 0){
                echo "Le dossier documents contient des dossiers ou fichiers";
            } else {
                echo "Le dossier documents est vide";
            }
            
            if($ok){
                echo "<div class='nodecoration mt-4'><a href=\"?template=modules/module_csv_import/csv_import.php\" class='btn btn-ok'>Lancer l'importation</a></div>";
            }
            ?>
        </div>
    </div>
</section>

<?php

include(getSnippetFile("page-viewer.php"));
include(getSnippetFile("code-footer.php"));